Postgressql lässt sich weder installieren noch deinstalliere

Debian macht sich hervorragend als Web- und Mailserver. Schau auch in den " Tipps und Tricks"-Bereich.
Antworten
Lifoy
Beiträge: 8
Registriert: 11.07.2012 12:52:06

Postgressql lässt sich weder installieren noch deinstalliere

Beitrag von Lifoy » 11.07.2012 22:07:47

Hallo Community,

Leider habe ich seit gestern nach dem reboot von meinem Server das Problem da sich Postgressql weder installieren noch deinstallieren lässt.

Ich habe einen Debian Squeeze Server mit 16GB Ram und 2 TB Festplatte...

Wenn ich versuche den Postgressql zu deinstallieren kommt:
root@server1 ~ # apt-get remove postgresql-common
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
postgresql-8.4 postgresql-common
0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 17.9 MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 85825 files and directories currently installed.)
Removing postgresql-8.4 ...
Stopping PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "stop" failed.
dpkg: error processing postgresql-8.4 (--remove):
subprocess installed pre-removal script returned error exit status 1
configured to not write apport reports
Removing postgresql-common ...
Stopping PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "stop" failed.
dpkg: error processing postgresql-common (--remove):
subprocess installed pre-removal script returned error exit status 1
configured to not write apport reports
Starting PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: error while cleaning up:
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
postgresql-8.4
postgresql-common
E: Sub-process /usr/bin/dpkg returned an error code (1)

Wenn ich versuche es zu installieren kommt:
root@server1 ~ # apt-get install postgresql
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
postgresql
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 0 B/29.8 kB of archives.
After this operation, 90.1 kB of additional disk space will be used.
Selecting previously deselected package postgresql.
(Reading database ... 85833 files and directories currently installed.)
Unpacking postgresql (from .../postgresql_8.4.12-0squeeze1_all.deb) ...
Setting up postgresql-common (113) ...
/bin/df: `/var/lib/postgresql/8.4/main': No such file or directory
/bin/df: no file systems processed
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
Starting PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: error processing postgresql-common (--configure):
subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
dpkg: dependency problems prevent configuration of postgresql-8.4:
postgresql-8.4 depends on postgresql-common (>= 109~); however:
Package postgresql-common is not configured yet.
dpkg: error processing postgresql-8.4 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of postgresql:
postgresql depends on postgresql-8.4; however:
Package postgresql-8.4 is not configured yet.
dpkg: error processing postgresql (--configure):
dependency problems - leaving unconfigured
configured to not write apport reports
configured to not write apport reports
Errors were encountered while processing:
postgresql-common
postgresql-8.4
postgresql
E: Sub-process /usr/bin/dpkg returned an error code (1)
Wie kann ich dieses Problem wieder lösen??

Lifoy
Beiträge: 8
Registriert: 11.07.2012 12:52:06

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von Lifoy » 12.07.2012 00:35:45

Danke schon mal im Vorraus für die Hilfe...

Also ich hab bisher noch nichts in der Datenbank was aufgehoben werden muss... Kann also alles weg. Nur Mysql Sollte erhalten bleiben :D

Bei dpkg -l | egrep -v "^ii" kommt:
root@server1 ~ # dpkg -l | egrep -v "^ii"
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-===================================-============================-===========================================================================
rc dovecot-common 1:1.2.15-7 secure mail server that supports mbox and maildir mailboxes
rc dovecot-imapd 1:1.2.15-7 secure IMAP server that supports mbox and maildir mailboxes
rc dovecot-pop3d 1:1.2.15-7 secure POP3 server that supports mbox and maildir mailboxes
rc exim4-base 4.72-6 support files for all Exim MTA (v4) packages
rc exim4-config 4.72-6 configuration for the Exim MTA (v4)
rc exim4-daemon-light 4.72-6 lightweight Exim MTA (v4) daemon
rc libapache2-mod-php5 5.3.3-7+squeeze9 server-side, HTML-embedded scripting language (Apache 2 module)
rc libgeos-3.2.0 3.2.0-1 Geometry engine for Geographic Information Systems - C++ Library
rc libgeos-c1 3.2.0-1 Geometry engine for Geographic Information Systems - C Library
ri libpq5 9.1.4-2~bpo60+1 PostgreSQL C client library
rc libproj0 4.7.0-1 Cartographic projection library
rc postgis 1.5.1-5 geographic objects support for PostgreSQL -- common files
iU postgresql 8.4.12-0squeeze1 object-relational SQL database (supported version)
rF postgresql-8.4 8.4.12-0squeeze1 object-relational SQL database, version 8.4 server
rc postgresql-9.1 9.1.4-2~bpo60+1 object-relational SQL database, version 9.1 server
rF postgresql-common 113 PostgreSQL database-cluster manage
r



Bei dpkg -l | eqrep postg kommt:
root@server1 ~ # dpkg -l | egrep postg
rc postgis 1.5.1-5 geographic objects support for PostgreSQL -- common files
iU postgresql 8.4.12-0squeeze1 object-relational SQL database (supported version)
rF postgresql-8.4 8.4.12-0squeeze1 object-relational SQL database, version 8.4 server
rc postgresql-9.1 9.1.4-2~bpo60+1 object-relational SQL database, version 9.1 server
ii postgresql-client-8.4 8.4.12-0squeeze1 front-end programs for PostgreSQL 8.4
ii postgresql-client-common 113 manager for multiple PostgreSQL client versions
rF postgresql-common 113 PostgreSQL database-cluster manager
ii postgrey 1.32-6.1 greylisting implementation for Postfix


Bei apt-cache policy kommt:
root@server1 ~ # apt-cache policy
Package files:
100 /var/lib/dpkg/status
release a=now
100 http://backports.debian.org/debian-backports/ squeeze-backports/non-free amd64 Packages
release o=Debian Backports,a=squeeze-backports,n=squeeze-backports,l=Debian Backports,c=non-free
origin backports.debian.org
100 http://backports.debian.org/debian-backports/ squeeze-backports/contrib amd64 Packages
release o=Debian Backports,a=squeeze-backports,n=squeeze-backports,l=Debian Backports,c=contrib
origin backports.debian.org
100 http://backports.debian.org/debian-backports/ squeeze-backports/main amd64 Packages
release o=Debian Backports,a=squeeze-backports,n=squeeze-backports,l=Debian Backports,c=main
origin backports.debian.org
100 http://mirror.hetzner.de/debian/backports/ squeeze-backports/non-free amd64 Packages
release o=Debian Backports,a=squeeze-backports,n=squeeze-backports,l=Debian Backports,c=non-free
origin mirror.hetzner.de
100 http://mirror.hetzner.de/debian/backports/ squeeze-backports/contrib amd64 Packages
release o=Debian Backports,a=squeeze-backports,n=squeeze-backports,l=Debian Backports,c=contrib
origin mirror.hetzner.de
100 http://mirror.hetzner.de/debian/backports/ squeeze-backports/main amd64 Packages
release o=Debian Backports,a=squeeze-backports,n=squeeze-backports,l=Debian Backports,c=main
origin mirror.hetzner.de
500 http://security.debian.org/ squeeze/updates/non-free amd64 Packages
release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian-Security,c=non-free
origin security.debian.org
500 http://security.debian.org/ squeeze/updates/contrib amd64 Packages
release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian-Security,c=contrib
origin security.debian.org
500 http://security.debian.org/ squeeze/updates/main amd64 Packages
release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian-Security,c=main
origin security.debian.org
500 http://ftp.uni-bayreuth.de/linux/Debian/debian/ squeeze/contrib amd64 Packages
release v=6.0.5,o=Debian,a=stable,n=squeeze,l=Debian,c=contrib
origin ftp.uni-bayreuth.de
500 http://ftp.uni-bayreuth.de/linux/Debian/debian/ squeeze/non-free amd64 Packages
release v=6.0.5,o=Debian,a=stable,n=squeeze,l=Debian,c=non-free
origin ftp.uni-bayreuth.de
500 http://ftp.uni-bayreuth.de/linux/Debian/debian/ squeeze/main amd64 Packages
release v=6.0.5,o=Debian,a=stable,n=squeeze,l=Debian,c=main
origin ftp.uni-bayreuth.de
500 http://mirror.hetzner.de/debian/security/ squeeze/updates/non-free amd64 Packages
release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian-Security,c=non-free
origin mirror.hetzner.de
500 http://mirror.hetzner.de/debian/security/ squeeze/updates/contrib amd64 Packages
release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian-Security,c=contrib
origin mirror.hetzner.de
500 http://mirror.hetzner.de/debian/security/ squeeze/updates/main amd64 Packages
release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian-Security,c=main
origin mirror.hetzner.de
500 http://mirror.hetzner.de/debian/packages/ squeeze/non-free amd64 Packages
release v=6.0.5,o=Debian,a=stable,n=squeeze,l=Debian,c=non-free
origin mirror.hetzner.de
500 http://mirror.hetzner.de/debian/packages/ squeeze/contrib amd64 Packages
release v=6.0.5,o=Debian,a=stable,n=squeeze,l=Debian,c=contrib
origin mirror.hetzner.de
500 http://mirror.hetzner.de/debian/packages/ squeeze/main amd64 Packages
release v=6.0.5,o=Debian,a=stable,n=squeeze,l=Debian,c=main
origin mirror.hetzner.de
Pinned packages:


Wenn ich apt-get -f install ausführe kommt der gleiche Fehler wieder...

rendegast
Beiträge: 14297
Registriert: 27.02.2006 16:50:33
Lizenz eigener Beiträge: MIT Lizenz

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von rendegast » 12.07.2012 02:18:53

Bei dpkg -l | eqrep postg kommt:
Gib da bitte noch ein

Code: Alles auswählen

dpkg -l | eqrep -i postg
Da einige Pakete/Beschreibungen "postgre" scheinbar nur in Groß/Kleinschrift aufführen.

Was sollte es denn werden?
postgresql 8.4 aus squeeze oder 9.1 aus den squeeze-backports?

Das könnte der Problemauslöser sein
ri libpq5 9.1.4-2~bpo60+1 PostgreSQL C client library
mal sehen.
Eventuell muß es per 'dpkg -P' entfernt werden, vielleicht verbunden mit einem '--force-...'-Schalter,
damit dann die squeeze-Version eingespielt werden kann.
Falls 'apt-get' anschließend auf diesen einfachen Ansatz noch nicht durchläuft,
aptitude versuchen.
Dann würde ich 'dpkg -P' für die ganzen postgres-Pakete ansetzen.






-----------------------------------------------------------------------------
Die hetzner-mirror sind wohl "richtige" debian-mirror,
nur halt nicht von außerhalb des hetzner-Netzes erreichbar.
Vergleiche da mal die Release- und Packages-Dateien (/var/lib/apt/lists/),
dann kannst Du vielleicht die "doppelte Buchführung" vereinfachen.
mfg rendegast
-----------------------
Viel Eifer, viel Irrtum; weniger Eifer, weniger Irrtum; kein Eifer, kein Irrtum.
(Lin Yutang "Moment in Peking")

Benutzeravatar
schorsch_76
Beiträge: 1686
Registriert: 06.11.2007 16:00:42
Lizenz eigener Beiträge: MIT Lizenz

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von schorsch_76 » 12.07.2012 07:16:23

Das hatte ich letztens auch.

mach ein

Code: Alles auswählen

dpkg-reconfigure locales
und wähle zusätzlich en_US.UTF-8 aus. Dann versuch es nochmal. In der /var/log/postgresql.log sollte ein hinweis auf das fehlende locale stehen.

Gruß
schorsch

Desktop: AMD FX-8350 / ATI R7 260X (Gentoo amd64 + Radeon Treiber)
Laptop: Dell XPS L502S Core i7 / Nvidia 540M (Gentoo amd64)
VDR: AMD E350 + Tevii S470 + HDMI + LIRC (Debian wheezy + Kernel 3.5.4 + radeon Treiber + HDMI Audio)
Fellow der Free Software Foundation Europe

Lifoy
Beiträge: 8
Registriert: 11.07.2012 12:52:06

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von Lifoy » 12.07.2012 10:14:21

Also wenn ich dpkg -l | eqrep -i postg eingebe kommt:
root@server1 ~ # dpkg -l | eqrep -i postg
-bash: eqrep: command not found
Es sollte eig. postgressql 9.1 werden sonst mag nuclos das ganze nicht :D

Mit den Hetzner mirrors hast du recht. Da ja recht schnell einiges an Traffic anfällt wenn man viel installiert, haben die es so gelöst das interner Traffic unbegrenzt und Kostenlos ist und bleibt.

dpkg -P postgresql hat geklappt hat alles ohne fehlermeldung deinstalliert....
Allerdings das wars auch :D


Hoffe ich hab da jetzt nicht falsch gemacht bei: dpkg -P ri libpq5 9.1.4-2~bpo60+1 PostgreSQL C client library kommt:
root@server1 ~ # dpkg -P ri libpq5 9.1.4-2~bpo60+1 PostgreSQL C client library
dpkg: warning: ignoring request to remove ri which isn't installed.
dpkg: dependency problems prevent removal of libpq5:
asterisk depends on libpq5 (>= 8.4~0cvs20090328).
postgresql-client-8.4 depends on libpq5 (>= 8.4~0cvs20090328).
libdbd-pg-perl depends on libpq5 (>= 8.4~0cvs20090328); however:
Package libpq5 is to be removed.
dpkg: error processing libpq5 (--purge):
dependency problems - not removing
dpkg: warning: ignoring request to remove 9.1.4-2~bpo60+1 which isn't installed.
dpkg: warning: ignoring request to remove postgresql which isn't installed.
dpkg: warning: ignoring request to remove c which isn't installed.
dpkg: warning: ignoring request to remove client which isn't installed.
dpkg: warning: ignoring request to remove library which isn't installed.
Errors were encountered while processing:
libpq5

Ich habe auch ein log für 8.4 & 9.1 :?:

Für 8.4 die Log:
2012-07-10 00:30:58 CEST LOG: database system was shut down at 2012-07-10 00:30:57 CEST
2012-07-10 00:30:59 CEST LOG: autovacuum launcher started
2012-07-10 00:30:59 CEST LOG: database system is ready to accept connections
2012-07-10 00:30:59 CEST LOG: incomplete startup packet
2012-07-10 00:52:07 CEST LOG: incomplete startup packet
2012-07-10 00:52:07 CEST LOG: received fast shutdown request
2012-07-10 00:52:07 CEST LOG: aborting any active transactions
2012-07-10 00:52:07 CEST LOG: autovacuum launcher shutting down
2012-07-10 00:52:07 CEST LOG: shutting down
2012-07-10 00:52:08 CEST LOG: database system is shut down
2012-07-10 00:52:18 CEST LOG: invalid authentication method "crypt"
2012-07-10 00:52:18 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 00:52:18 CEST FATAL: could not load pg_hba.conf
2012-07-10 00:53:44 CEST LOG: invalid authentication method "crypt"
2012-07-10 00:53:44 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 00:53:44 CEST FATAL: could not load pg_hba.conf
2012-07-10 00:54:56 CEST LOG: invalid authentication method "crypt"
2012-07-10 00:54:56 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 00:54:56 CEST FATAL: could not load pg_hba.conf
2012-07-10 00:59:44 CEST LOG: invalid authentication method "crypt"
2012-07-10 00:59:44 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 00:59:44 CEST FATAL: could not load pg_hba.conf
2012-07-10 01:00:17 CEST LOG: invalid authentication method "crypt"
2012-07-10 01:00:17 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 01:00:17 CEST FATAL: could not load pg_hba.conf
2012-07-10 01:01:18 CEST LOG: invalid authentication method "crypt"
2012-07-10 01:01:18 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 01:01:18 CEST FATAL: could not load pg_hba.conf
2012-07-10 01:01:50 CEST LOG: invalid authentication method "crypt"
2012-07-10 01:01:50 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 01:01:50 CEST FATAL: could not load pg_hba.conf
2012-07-10 01:04:47 CEST LOG: invalid authentication method "crypt"
2012-07-10 01:04:47 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 01:04:47 CEST FATAL: could not load pg_hba.conf
2012-07-10 01:05:46 CEST LOG: invalid authentication method "crypt"
2012-07-10 01:05:46 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 01:05:46 CEST FATAL: could not load pg_hba.conf
2012-07-10 01:09:10 CEST LOG: invalid authentication method "crypt"
2012-07-10 01:09:10 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 01:09:10 CEST FATAL: could not load pg_hba.conf
2012-07-10 16:43:48 CEST LOG: invalid authentication method "crypt"
2012-07-10 16:43:48 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 16:43:48 CEST FATAL: could not load pg_hba.conf
2012-07-10 16:44:21 CEST LOG: invalid authentication method "crypt"
2012-07-10 16:44:21 CEST CONTEXT: line 87 of configuration file "/etc/postgresql/8.4/main/pg_hba.conf"
2012-07-10 16:44:21 CEST FATAL: could not load pg_hba.conf
2012-07-10 16:52:40 CEST LOG: could not bind IPv4 socket: Address already in use
2012-07-10 16:52:40 CEST HINT: Is another postmaster already running on port 5432? If not, wait a few seconds and retry.
2012-07-10 16:52:40 CEST WARNING: could not create listen socket for "localhost"
2012-07-10 16:52:40 CEST FATAL: could not create any TCP/IP sockets
2012-07-10 16:52:42 CEST LOG: could not bind IPv4 socket: Address already in use
2012-07-10 16:52:42 CEST HINT: Is another postmaster already running on port 5432? If not, wait a few seconds and retry.
2012-07-10 16:52:42 CEST WARNING: could not create listen socket for "localhost"
2012-07-10 16:52:42 CEST FATAL: could not create any TCP/IP sockets
2012-07-10 23:25:46 CEST LOG: could not bind IPv4 socket: Address already in use
2012-07-10 23:25:46 CEST HINT: Is another postmaster already running on port 5432? If not, wait a few seconds and retry.
2012-07-10 23:25:46 CEST WARNING: could not create listen socket for "localhost"
2012-07-10 23:25:46 CEST FATAL: could not create any TCP/IP sockets
2012-07-10 23:48:15 CEST FATAL: could not access private key file "server.key": No such file or directory
2012-07-10 23:48:48 CEST FATAL: could not access private key file "server.key": No such file or directory
Und für 9.1 die Log datei:
2012-07-10 16:48:46 CEST LOG: database system was shut down at 2012-07-10 16:48:44 CEST
2012-07-10 16:48:46 CEST LOG: autovacuum launcher started
2012-07-10 16:48:46 CEST LOG: database system is ready to accept connections
2012-07-10 16:48:46 CEST LOG: incomplete startup packet
2012-07-10 16:50:56 CEST LOG: incomplete startup packet
2012-07-10 16:50:58 CEST LOG: incomplete startup packet
2012-07-10 23:54:26 CEST LOG: received fast shutdown request
2012-07-10 23:54:26 CEST LOG: aborting any active transactions
2012-07-10 23:54:26 CEST LOG: autovacuum launcher shutting down
2012-07-10 23:54:26 CEST LOG: shutting down
2012-07-10 23:54:26 CEST LOG: database system is shut down
Wenn ich es installiere möchte kommt trotzdem der fehler....

rendegast
Beiträge: 14297
Registriert: 27.02.2006 16:50:33
Lizenz eigener Beiträge: MIT Lizenz

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von rendegast » 12.07.2012 12:27:19

-bash: eqrep: command not found
copy+paste + copy+paste, "egrep".
Hoffe ich hab da jetzt nicht falsch gemacht bei: dpkg -P ri libpq5 9.1.4-2~bpo60+1
Falsch gehofft, einerseits falscher Syntax.
Und wie schon vermutet, andere Pakete hängen von libpq5 ab,
ohne den Zwangsschalter '--force-....' ist das nicht entfernbar.

hat alles ohne fehlermeldung deinstalliert....
Allerdings das wars auch
Jetzt mal kleinkariert, wenn da ALLES deinstalliert wurde, dann war es das wirklich.
Denn ALLES deinstalliert, dann NIX mehr übrig.
?


Es sollte eig. postgressql 9.1 werden sonst mag nuclos das ganze nicht
Wenn alle direkten postgresql-Pakete (libpq5 zähle ich jetzt nicht dazu) entfernt/purged sind (Prüfung immer mit 'dpkg -l'),
wäre der erste Versuch

Code: Alles auswählen

apt-get --simulate install postgresql -t squeeze-backports
Werden da noch postgre-Sachen von squeeze statt squeeze-backports mitgenommen (also Version 8 statt 9),
so müssen die entsprechenden Pakete mit in den obigen Aufruf.
mfg rendegast
-----------------------
Viel Eifer, viel Irrtum; weniger Eifer, weniger Irrtum; kein Eifer, kein Irrtum.
(Lin Yutang "Moment in Peking")

Lifoy
Beiträge: 8
Registriert: 11.07.2012 12:52:06

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von Lifoy » 12.07.2012 12:57:11

So das ist das ergebnis des "Simulation":
root@server1 ~ # apt-get --simulate install postgresql -t squeeze-backports
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
postgresql-9.1 postgresql-client-9.1 postgresql-client-common
postgresql-common
Suggested packages:
oidentd ident-server locales-all postgresql-doc-9.1
The following NEW packages will be installed:
postgresql postgresql-9.1 postgresql-client-9.1
The following packages will be upgraded:
postgresql-client-common postgresql-common
2 upgraded, 3 newly installed, 0 to remove and 53 not upgraded.
2 not fully installed or removed.
Inst postgresql-client-common [113] (130~bpo60+2 Debian Backports:squeeze-backports [all])
Inst postgresql-common [113] (130~bpo60+2 Debian Backports:squeeze-backports [all])
Inst postgresql-client-9.1 (9.1.4-2~bpo60+1 Debian Backports:squeeze-backports [amd64])
Inst postgresql-9.1 (9.1.4-2~bpo60+1 Debian Backports:squeeze-backports [amd64])
Inst postgresql (9.1+130~bpo60+2 Debian Backports:squeeze-backports [all])
Conf postgresql-client-common (130~bpo60+2 Debian Backports:squeeze-backports [all])
Conf postgresql-common (130~bpo60+2 Debian Backports:squeeze-backports [all])
Conf postgresql-8.4 (8.4.12-0squeeze1 Debian-Security:6.0/stable [amd64])
Conf postgresql-client-9.1 (9.1.4-2~bpo60+1 Debian Backports:squeeze-backports [amd64])
Conf postgresql-9.1 (9.1.4-2~bpo60+1 Debian Backports:squeeze-backports [amd64])
Conf postgresql (9.1+130~bpo60+2 Debian Backports:squeeze-backports [all])
So zu früh gehofft stand zwar er hat es erfolgreich gemacht aber pfeiefendeckel... Ist ja noch alles da...

Wie wäre denn der Richtige Syntax zum entfernen?
Also irg. wenn ich Force vorne oder hinten ranhänge steckt er auch fest...

rendegast
Beiträge: 14297
Registriert: 27.02.2006 16:50:33
Lizenz eigener Beiträge: MIT Lizenz

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von rendegast » 12.07.2012 19:37:45

So zu früh gehofft stand zwar er hat es erfolgreich gemacht aber pfeiefendeckel... Ist ja noch alles da...
Das kann ich jetzt nicht deuten, nach der erfolgreichen Simulation.
Nebenbei, es war eine Simulation.

Die Simulation sah gut aus,
warum läßt Du das '--simulate' dann nicht weg und ziehst die Installation durch?
mfg rendegast
-----------------------
Viel Eifer, viel Irrtum; weniger Eifer, weniger Irrtum; kein Eifer, kein Irrtum.
(Lin Yutang "Moment in Peking")

Lifoy
Beiträge: 8
Registriert: 11.07.2012 12:52:06

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von Lifoy » 12.07.2012 23:05:46

Wenn ich das mache kommt:
root@server1 ~ # apt-get install postgresql-9.1 -t squeeze-backports
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
postgresql-client-9.1 postgresql-client-common postgresql-common
Suggested packages:
oidentd ident-server locales-all postgresql-doc-9.1
The following NEW packages will be installed:
postgresql-9.1 postgresql-client-9.1
The following packages will be upgraded:
postgresql-client-common postgresql-common
2 upgraded, 2 newly installed, 0 to remove and 53 not upgraded.
2 not fully installed or removed.
Need to get 0 B/8,493 kB of archives.
After this operation, 20.7 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Reading changelogs... Done
Preconfiguring packages ...
(Reading database ... 85833 files and directories currently installed.)
Preparing to replace postgresql-client-common 113 (using .../postgresql-client-common_130~bpo60+2_all.deb) ...
Unpacking replacement postgresql-client-common ...
Selecting previously deselected package postgresql-common.
Preparing to replace postgresql-common 113 (using .../postgresql-common_130~bpo60+2_all.deb) ...
Stopping PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "stop" failed.
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
dpkg: ... it looks like that went OK.
Adding 'diversion of /usr/bin/pg_config to /usr/bin/pg_config.libpq-dev by postgresql-common'
Unpacking replacement postgresql-common ...
Selecting previously deselected package postgresql-client-9.1.
Unpacking postgresql-client-9.1 (from .../postgresql-client-9.1_9.1.4-2~bpo60+1_amd64.deb) ...
Selecting previously deselected package postgresql-9.1.
Unpacking postgresql-9.1 (from .../postgresql-9.1_9.1.4-2~bpo60+1_amd64.deb) ...
Processing triggers for man-db ...
Setting up postgresql-client-common (130~bpo60+2) ...
Setting up postgresql-common (130~bpo60+2) ...
Installing new version of config file /etc/init.d/postgresql ...
/bin/df: `/var/lib/postgresql/8.4/main': No such file or directory
/bin/df: no file systems processed
/bin/df: `/var/lib/postgresql/9.1/main': No such file or directory
/bin/df: no file systems processed
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
Starting PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: error processing postgresql-common (--configure):
subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
dpkg: dependency problems prevent configuration of postgresql-8.4:
postgresql-8.4 depends on postgresql-common (>= 109~); however:
Package postgresql-common is not configured yet.
dpkg: error processing postgresql-8.4 (--configure):
dependency problems - leaving unconfigured
Setting up postgresql-client-9.1 (9.1.4-2~bpo60+1) ...
configured to not write apport reports
update-alternatives: using /usr/share/postgresql/9.1/man/man1/psql.1.gz to provide /usr/share/man/man1/psql.1.gz (psql.1.gz) in auto mode.
dpkg: dependency problems prevent configuration of postgresql-9.1:
postgresql-9.1 depends on postgresql-common (>= 115~); however:
Package postgresql-common is not configured yet.
dpkg: error processing postgresql-9.1 (--configure):
dependency problems - leaving unconfigured
configured to not write apport reports
Errors were encountered while processing:
postgresql-common
postgresql-8.4
postgresql-9.1
E: Sub-process /usr/bin/dpkg returned an error code (1)
Habe es auch so versucht:
root@server1 ~ # aptitude install postgresql -t squeeze-backports
The following NEW packages will be installed:
postgresql
The following partially installed packages will be configured:
postgresql-8.4 postgresql-9.1 postgresql-common
0 packages upgraded, 1 newly installed, 0 to remove and 53 not upgraded.
Need to get 41.1 kB of archives. After unpacking 69.6 kB will be used.
Get:1 http://mirror.hetzner.de/debian/backports/ squeeze-backports/main postgresql all 9.1+130~bpo60+2 [41.1 kB]
Fetched 41.1 kB in 0s (841 kB/s)
Selecting previously deselected package postgresql.
(Reading database ... 86272 files and directories currently installed.)
Unpacking postgresql (from .../postgresql_9.1+130~bpo60+2_all.deb) ...
Setting up postgresql-common (130~bpo60+2) ...
/bin/df: `/var/lib/postgresql/8.4/main': No such file or directory
/bin/df: no file systems processed
/bin/df: `/var/lib/postgresql/9.1/main': No such file or directory
/bin/df: no file systems processed
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
Starting PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: error processing postgresql-common (--configure):
subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
dpkg: dependency problems prevent configuration of postgresql-8.4:
postgresql-8.4 depends on postgresql-common (>= 109~); however:
Package postgresql-common is not configured yet.
dpkg: error processing postgresql-8.4 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of postgresql-9.1:
postgresql-9.1 depends on postgresql-common (>= 115~); however:
Package postgresql-common is not configured yet.
dpkg: error processing postgresql-9.1 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of postgresql:
postgresql depends on postgresql-9.1; however:
Package postgresql-9.1 is not configured yet.
dpkg: error processing postgresql (--configure):
dependency problems - leaving unconfigured
configured to not write apport reports
configured to not write apport reports
configured to not write apport reports
Errors were encountered while processing:
postgresql-common
postgresql-8.4
postgresql-9.1
postgresql
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up postgresql-common (130~bpo60+2) ...
/bin/df: `/var/lib/postgresql/8.4/main': No such file or directory
/bin/df: no file systems processed
/bin/df: `/var/lib/postgresql/9.1/main': No such file or directory
/bin/df: no file systems processed
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
Starting PostgreSQL 8.4 database server: mainError: /var/lib/postgresql/8.4/main is not accessible or does not exist ... failed!
failed!
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: error processing postgresql-common (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of postgresql-9.1:
postgresql-9.1 depends on postgresql-common (>= 115~); however:
Package postgresql-common is not configured yet.
dpkg: error processing postgresql-9.1 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of postgresql:
postgresql depends on postgresql-9.1; however:
Package postgresql-9.1 is not configured yet.
dpkg: error processing postgresql (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
postgresql-common
postgresql-9.1
postgresql

Lifoy
Beiträge: 8
Registriert: 11.07.2012 12:52:06

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von Lifoy » 12.07.2012 23:41:42

So ICH HABS GELÖST!!! HÄTTE ICH OHNE EUCH NIE GESCHAFFT...

Sry das ich großgeschrieben hab... Bin nur Grad über Happy.

Hier der Lösungsweg... (Falls wieder jemand das Problem hat :D)

Ich bin in /var/lib/postgresql habe die dort allem die Rechte 7777 gegeben.

Daraufhin bin ich via Putty auf den Server. Habe dort folgendes gemacht.
root@server1 ~ # dpkg --remove postgresql-8.4
root@server1 ~ # dpkg --remove postgresql-9.1
root@server1 ~ # dpkg --remove postgresql-common
root@server1 ~ # dpkg --remove postgrey
So dann klappte es schonmal teilweise...

Jetzt habe ich:
aptitude remove postgresql
Nachdems dann immernoch nicht ging habe ich einfach:
root@server1 ~ # dpkg --purge postgrey
root@server1 ~ # dpkg --purge postgresql-8.4
root@server1 ~ # dpkg --purge postgresql-9.1
So und weg wars habe bereits das neue installiert... Also 9.1

ICH DANKE EUCH ALLEN TROTZDEM RECHT HERZLICH FÜR EURE BEMÜHUNGEN BIN EUCH WAS SCHULDIG :D

rendegast
Beiträge: 14297
Registriert: 27.02.2006 16:50:33
Lizenz eigener Beiträge: MIT Lizenz

Re: Postgressql lässt sich weder installieren noch deinstall

Beitrag von rendegast » 13.07.2012 08:35:47

Habe es auch so versucht:
root@server1 ~ # aptitude install postgresql -t squeeze-backports
.....
/bin/df: `/var/lib/postgresql/8.4/main': No such file or directory
Das liegt wohl daran, daß das alte/Vorversion nicht komplett entfernt ist,
also Programmdateien / Konfiguration / Daten.
Denn db-Pakete sind da komplex, da sie eine vorhandenen Datenbank bei einem Upgrade mitbehandeln
(gebräuchlich ist ein Dump/Restore).
Das klappt dann gut, wenn der Vorzustand "prima" ist.
nicht aber bei "Halb-Installationen" / "Halb-Entfernungen" / fehlerhafter DB,
da dann die Installations-Skripte leicht gegen die Wand fahren.

Eine Datenbank wird bei Entfernung der Pakete normalerweise nicht mitentfernt.
Wenn der Inhalt unwichtig ist, ist der einfachste "Reset" das Entfernen des DB-Verzeichnisses,
in diesem Fall wäre das /var/lib/postgresql/ gewesen.
Die eingespielten db-Pakete dürften dann von einer Neuinstallation ausgehen und einfach eine initiale neue Datenbank anlegen
(Da müßten aber mal die jeweiligen prerm-/postrm-/postinst-Skript eingesehen werden bzgl. Zustands-/Versionstests und dementsprechender Aktionen).
mfg rendegast
-----------------------
Viel Eifer, viel Irrtum; weniger Eifer, weniger Irrtum; kein Eifer, kein Irrtum.
(Lin Yutang "Moment in Peking")

Antworten